Debian Bug report logs - #650787
libglade2: Please transition libglade2 for multiarch

version graph

Package: libglade2; Maintainer for libglade2 is Andreas Rottmann <rotty@debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Sat, 3 Dec 2011 01:45:02 UTC

Severity: important

Tags: patch

Found in version 1:2.6.4-1

Fixed in version libglade2/1:2.6.4-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#650787; Package libglade2. (Sat, 03 Dec 2011 01:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Andreas Rottmann <rotty@debian.org>. (Sat, 03 Dec 2011 01:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libglade2: Please transition libglade2 for multiarch
Date: Fri, 02 Dec 2011 17:43:48 -0800
[Message part 1 (text/plain, inline)]
Package: libglade2
Version: 1:2.6.4-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi Andreas,

In Ubuntu, the attached patch was applied to make libglade2 compatible with
multiarch, as described at
<http://wiki.debian.org/Multiarch/Implementation>.

This library is used by some third-party binary-only packages in the wild,
and is also obviously used by a number of free applications, so it's useful
to have this library co-installable in a multiarch configuration.

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libglade2_1:2.6.4-1ubuntu1.debdiff (text/x-diff, attachment)]

Added indication that bug 650787 blocks 677762 Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 19:06:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#650787; Package libglade2. (Mon, 27 Aug 2012 21:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. (Mon, 27 Aug 2012 21:39:06 GMT) Full text and rfc822 format available.

Message #12 received at 650787@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: 650787@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: libglade2: Please transition libglade2 for multiarch
Date: Tue, 28 Aug 2012 01:11:28 +0400
severity 650787 important
thanks

Dear Maintainer,
I've tried to install the i386 version of libglade2-0 on my amd64 system (needed by some non-free printer driver), and it offered a removal of some packages, which is not funny.

# apt-get install libglade2-0:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  gnome-hearts libbonoboui2-0 libglade2-0 libgnomecanvas2-0 libgnomeprintui2.2-0 libgnomeui-0 lxde obconf python-glade2 python-gnome2
  system-config-printer task-lxde-desktop xscreensaver
The following NEW packages will be installed:
  libglade2-0:i386
0 upgraded, 1 newly installed, 13 to remove and 0 not upgraded.
Need to get 87.2 kB of archives.
After this operation, 13.4 MB disk space will be freed.
Do you want to continue [Y/n]?


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libglade2-0 depends on:
ii  libatk1.0-0     2.4.0-2
ii  libc6           2.13-35
ii  libcairo2       1.12.2-2
ii  libfontconfig1  2.9.0-7
ii  libfreetype6    2.4.9-1
ii  libglib2.0-0    2.32.3-1
ii  libgtk2.0-0     2.24.10-2
ii  libpango1.0-0   1.30.0-1
ii  libxml2         2.8.0+dfsg1-5

libglade2-0 recommends no packages.

libglade2-0 suggests no packages.

-- no debconf information

Severity set to 'important' from 'normal' Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Mon, 27 Aug 2012 21:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#650787; Package libglade2. (Sun, 25 Nov 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. (Sun, 25 Nov 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 650787@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 650787@bugs.debian.org
Cc: <steve.langasek@canonical.com>, Langasek@frosties, Steve@frosties
Subject: Conversion of libglade2 to multiarch
Date: Sun, 25 Nov 2012 20:33:34 +0100
Hi,

this bug is still blocking the ia32-libs-gtk multiarch transition that
really needs to go into wheezy. The bugreport has had a patch for 11 month
now without repsonce.

Steve: As author of the patch please consider NMUing this patch so we
can get ia32-libs-gtk unstuck.



Added tag(s) pending. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 25 Nov 2012 22:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#650787; Package libglade2. (Sat, 14 Sep 2013 02:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ua>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. (Sat, 14 Sep 2013 02:51:04 GMT) Full text and rfc822 format available.

Message #26 received at 650787@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ua>
To: Josselin Mouette <joss@debian.org>
Cc: 650787@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#650787: libglade2: Please transition libglade2 for multiarch
Date: Sat, 14 Sep 2013 06:49:31 +0400
2012-11-25 from Josselin Mouette:
> #libglade2 (1:2.6.4-2) UNRELEASED; urgency=low
> #
> #  * Patch from Steve Langasek to add MA support. Closes: #650787.
> #    + Use MA installation paths.
> #    + Switch do DH compat 9.
> #    + Update {build-,}dependencies.
> #
> 
> limit source libglade2
> tags 650787 + pending
> thanks

Hello!
Is there any progress with uploading of
an updated version libglade2 package?

BTW, there's no any VCS links on the PTS page:
http://packages.qa.debian.org/libg/libglade2.html
so it's not obvious for me where can your pending changes be found.

----
Best wishes, Bob

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sun, 29 Dec 2013 09:21:09 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Sun, 29 Dec 2013 09:21:09 GMT) Full text and rfc822 format available.

Message #31 received at 650787-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 650787-close@bugs.debian.org
Subject: Bug#650787: fixed in libglade2 1:2.6.4-2
Date: Sun, 29 Dec 2013 09:20:18 +0000
Source: libglade2
Source-Version: 1:2.6.4-2

We believe that the bug you reported is fixed in the latest version of
libglade2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650787@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated libglade2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Dec 2013 12:56:27 +0100
Source: libglade2
Binary: libglade2-0 libglade2-dev
Architecture: source amd64
Version: 1:2.6.4-2
Distribution: unstable
Urgency: low
Maintainer: Andreas Rottmann <rotty@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 libglade2-0 - library to load .glade files at runtime
 libglade2-dev - development files for libglade
Closes: 558573 650787 687367
Changes: 
 libglade2 (1:2.6.4-2) unstable; urgency=low
 .
   [ Emilio Pozuelo Monfort ]
   * debian/libglade2-dev.lintian:
     - Removed, libglade2-dev depends on python now.
 .
   [ Loïc Minier ]
   * Fix globbing in watch file.
 .
   [ Josselin Mouette ]
   * Patch from Steve Langasek to add MA support. Closes: #650787.
     + Use MA installation paths.
     + Switch do DH compat 9.
     + Update {build-,}dependencies.
   * Bump shlibs to take the new module path into account.
   * Use python:any dependency in the -dev package.
   * Drop the .la file.
   * 01_pre-multiarch_path.patch: new patch. Search modules in
     the pre-multiarch version’s path.
   * Bump standards version.
   * Fix spelling error in description. Closes: #687367.
   * Move to section oldlibs.
   * Switch to 3.0 quilt format.
   * Use dh-autoreconf. Closes: #558573.
Checksums-Sha1: 
 9dfebafca6f432dff6c0bc59fff36a4845376e6e 1532 libglade2_2.6.4-2.dsc
 9d3eb442b472490d3e0b8877d379cfdf5da1bbab 7195 libglade2_2.6.4-2.debian.tar.gz
 573c979357f5fe80663b78db5a04012ac4e1b88a 81792 libglade2-0_2.6.4-2_amd64.deb
 6ca56b0f1ceab061eb0dc1e0d9cfea26d79dfa32 119514 libglade2-dev_2.6.4-2_amd64.deb
Checksums-Sha256: 
 5261ee0d71fe767183f4ae59ca85ee5daafa4bc99650de2bba48b8ad80f4de18 1532 libglade2_2.6.4-2.dsc
 9363ad935b7ad6457df7c2fec107c42bcaabf8365ffa6339b0777862cca967e0 7195 libglade2_2.6.4-2.debian.tar.gz
 6be60f9d8eeba558ae63deecd7d79f3149f109c99914ddfc117f40b7ed2d14db 81792 libglade2-0_2.6.4-2_amd64.deb
 b6cbb8b8f1b92f08d1f736fd7f0e3cf4b9e6f16576f1aa7bfaf11ab3685ffa57 119514 libglade2-dev_2.6.4-2_amd64.deb
Files: 
 9c1a94bc7554d92bfbbc35503dc16d5b 1532 devel optional libglade2_2.6.4-2.dsc
 fb7771ed3392e4cc5d3f11b2efca0398 7195 devel optional libglade2_2.6.4-2.debian.tar.gz
 8310e6721351f8ae283d98be7d991439 81792 oldlibs optional libglade2-0_2.6.4-2_amd64.deb
 ada38d9b1592909677c2e9347d97b8ff 119514 libdevel optional libglade2-dev_2.6.4-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFSv+dSrSla4ddfhTMRAttyAKD4fMNkh09pFAo+GPrYT4tRIvCblQCgx7zB
5Wa49WTjEKHvdypZaX3Lxag=
=TndN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Feb 2014 07:35:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:54:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.